Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Module Class Reference

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Module:

[legend]
Collaboration diagram for TAO_PSDL_Module:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Module (int type, TAO_PSDL_Node *identifier, TAO_PSDL_Node *specification)
| ****************************************************************. More...
virtual | ~TAO_PSDL_Module (void)
TAO_PSDL_Node * | identifier (void) const
| Get the value. More...
TAO_PSDL_Node * | specification (void) const
void | set_identifier_name (ACE_CString)
ACE_CString | identifier_name (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | identifier_
| The values. More...
TAO_PSDL_Node * | specification_
ACE_CString | module_name_

## Constructor & Destructor Documentation

TAO_PSDL_Module::TAO_PSDL_Module | ( | int | type,
|  | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | specification
| ) |

| ****************************************************************.

TAO_PSDL_Module::~TAO_PSDL_Module | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Module::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Module::identifier | ( | void |  | ) | const

| Get the value.

ACE_CString TAO_PSDL_Module::identifier_name | ( | void |  | ) | const

void TAO_PSDL_Module::set_identifier_name | ( | ACE_CString | identifier_name | ) |

TAO_PSDL_Node * TAO_PSDL_Module::specification | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Module::identifier_`[private]`

| The values.

ACE_CString TAO_PSDL_Module::module_name_`[private]`

TAO_PSDL_Node* TAO_PSDL_Module::specification_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp